<template>
  <ObTable
    :items="fields"
    :columns="columns"
    class="view-values-table"
  >
    <template
      slot="date"
      slot-scope="{ data }"
    >
      {{ moment(data.item.source.updatedAt).format('DD.MM.YYYY') }}

      <span class="-gray-window">
        {{ moment(data.item.source.updatedAt).format('HH:mm') }}
      </span>
    </template>

    <template
      slot="priority"
      slot-scope="{ data }"
    >
      <i
        v-if="data.item.isPriority"
        class="icon checked -caribbean-green view-values-table__icon"
      />
    </template>
  </ObTable>
</template>

<script>
  import ObTable from 'common-components/src/obComponents/obTable'
  import moment from 'moment'

  export default {
    name: 'view-values',
    components: {
      ObTable
    },
    data () {
      return {
        moment
      }
    },
    props: {
      fields: {
        type: Array,
        default: () => []
      },
      title: {
        type: String,
        default: ''
      }
    },
    computed: {
      columns () {
        return [
          {
            title: 'Наименования поля',
            exactWidth: '26%',
            sortDisable: true,
            html: () => {
              return this.title
            }
          },
          {
            title: 'Значение',
            exactWidth: '20%',
            sortDisable: true,
            html: (data) => {
              if (typeof data.data.value === 'boolean') {
                return data.data.value ? 'Да' : 'Нет'
              } else {
                return data.data.value
              }
            }
          },
          {
            title: 'Сервис',
            exactWidth: '29%',
            sortDisable: true,
            html: (data) => {
              return data.source.title
            }
          },
          {
            title: 'Дата',
            exactWidth: '21%',
            sortDisable: true,
            slotName: 'date'
          },
          {
            sortDisable: true,
            slotName: 'priority'
          }
        ]
      }
    }
  }
</script>

<style lang="scss" scoped>
  .view-values-table {
    border-left: 1px solid $lavender;
    border-right: 1px solid $lavender;

    &__icon {
      display: flex; // To centering icon in a row
    }
  }
</style>